#ifndef _fruit_h
#define _fruit_h

#include "object.h"

typedef struct _FruitPart
{
  int timeLeft;  /* if showing, how much time is left */
  int value;
  FruitType type;
  Pixmap pixmap;
  unsigned int pixWidth;
  unsigned int pixHeight;
} FruitPart;

typedef struct FruitClassRec
{
  ObjectPart object;
  FruitPart fruit;
} FruitClassRec;

typedef FruitClassRec *FruitClass;

extern ObjectClass Fruit;

#endif /* _fruit_h */
