#ifndef _ghost_h
#define _ghost_h

#include "object.h"

typedef struct _GhostPart
{
  int value;
  Intelligence iQ;
  Speed oldSpeed;
  int clock;
  int numAfraid;
  int state;
} GhostPart;

typedef struct GhostClassRec
{
  ObjectPart object;
  GhostPart ghost;
} GhostClassRec;

typedef GhostClassRec *GhostClass;

extern ObjectClass Ghost;

extern void ScareGhost(
#if NeedFunctionProtoTypes
GhostClass _ghost
#endif
);

#endif /* _ghost_h */
