#ifndef _maze_h
#define _maze_h


#if NeedFunctionProtoTypes
extern void ResetMazes();
extern char *OnTopOfChar(ObjectClass _object);
extern int GoodUp(ObjectClass _object);
extern int GoodDown(ObjectClass _object);
extern int GoodRight(ObjectClass _object);
extern int GoodLeft(ObjectClass _object);
extern int GoodDir(ObjectClass _object, Direction _dir);
extern int ReadMazeFile();
extern void DrawMazeCharUnderObject(ObjectClass _object);
extern void DrawMaze();
extern void InitializeMaze();
extern int RemoveMazeElement(double _dx, double _dy);
#else
extern void ResetMazes();
extern char *OnTopOfChar();
extern int GoodUp();
extern int GoodDown();
extern int GoodRight();
extern int GoodLeft();
extern int GoodDir();
extern int ReadMazeFile();
extern void DrawMazeCharUnderObject();
extern void DrawMaze();
extern void InitializeMaze();
extern int RemoveMazeElement();
#endif


#endif /* _maze_h */
