#ifndef _myDefs_h
#define _myDefs_h

#ifndef TRUE
#define TRUE 1
#endif /* TRUE */

#ifndef FALSE
#define FALSE 0
#endif /* FALSE */

#ifndef MAX
#define MAX(a,b) ((a) > (b) ? (a) : (b))
#endif /* MAX */

#ifndef MIN
#define MIN(a,b) ((a) < (b) ? (a) : (b))
#endif /* MIN */

#ifndef NULL
#define NULL 0
#endif /* NULL */

#define BIGWIDTH 800
#define BIGHEIGHT 800

#define SMALLWIDTH 400
#define SMALLHEIGHT 400

#define MAZE_WIDTH 25
#define MAZE_HEIGHT 25

#define XCOORD(a) ((int)((a)*TheBoxWidth))
#define YCOORD(a) ((int)((a)*TheBoxHeight))

#define XPOS(a) ((double)((a)%MAZE_WIDTH))
#define YPOS(a) ((double)((a)/MAZE_WIDTH))

#define FLOOR(a) ((int)floor((double)(a)))
#define CEIL(a) ((int)ceil((double)(a)))
#define ROUND(a) ((int)floor((double)(a)+.5))

#define SETCOLOR(gc, a) XSetForeground(TheDisplay, gc, colors[a])

#define NUM(a)  (sizeof(a)/sizeof(*(a)))
#define SOLID(a) (!( ((int) ( (a) * 10) ) % 10))

#define NUM_GHOSTS 4

#define ROUND_LEFT_CHAR '('
#define ROUND_RIGHT_CHAR ')'
#define ROUND_UP_CHAR 'u'
#define ROUND_DOWN_CHAR 'd'
#define WALL_CHAR '#'
#define PEN_CHAR '*'
#define PATH_CHAR ' '
#define TUNNEL_CHAR 'T'
#define FRUIT_CHAR 'f'
#define DOT_CHAR '.'
#define POWER_CHAR 'P'
#define FRED_CHAR 'm'
#define GHOST_CHAR 'g'
#define EMPTY ' '

#endif /* _myDefs_h */
