#include <time.h>

extern void srandom();
extern long random();

static int CurrentNumber = 0;

#define NUM 1000

static unsigned char TheNumbers[NUM];

void InitRandom()
{
  int i;
  srandom(time((long *) 0));
  
  for(i=0;i<NUM;i++)
    *(TheNumbers+i) = (unsigned char)((random() & 0xFF) % 10);

  CurrentNumber = 0;
}


int Random()
{
  if (CurrentNumber == NUM)
    CurrentNumber = 0;
  else
    CurrentNumber++;

  return (int)TheNumbers[CurrentNumber];
}
