#ifndef _myExterns_h
#define _myExterns_h

extern Display *TheDisplay;
extern Window TheWindow, TheStatusWindow;
extern Screen *TheScreen;
extern int TheScreenNumber;
extern Pixmap TheIcon;

extern int NoGame;

extern unsigned int TheLevel;
extern unsigned int GameClock;

extern unsigned long TheWidth;
extern unsigned long TheHeight;
extern unsigned long TheBoxWidth;
extern unsigned long TheBoxHeight;

extern char *TheMaze;
extern GC TheGC, TheBackgroundGC, TheMazeGC, TheStatusGC;

extern unsigned long colors[];
extern unsigned long TheBGColor;
extern unsigned long TheFredColor;
extern unsigned long TheDotColor;
extern unsigned long TheMazeColor;
extern unsigned long ThePenColor;
extern unsigned long ThePowerColor;
extern unsigned long TheTunnelColor;

extern List GameList;

extern ObjectClass TheFred, TheGhost[NUM_GHOSTS], TheFruit;

extern Mode TheMode;

#endif /* _myExterns_h */
